"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SageMakerClient_1 = require("./SageMakerClient");
const AddTagsCommand_1 = require("./commands/AddTagsCommand");
const CreateAlgorithmCommand_1 = require("./commands/CreateAlgorithmCommand");
const CreateCodeRepositoryCommand_1 = require("./commands/CreateCodeRepositoryCommand");
const CreateCompilationJobCommand_1 = require("./commands/CreateCompilationJobCommand");
const CreateEndpointCommand_1 = require("./commands/CreateEndpointCommand");
const CreateEndpointConfigCommand_1 = require("./commands/CreateEndpointConfigCommand");
const CreateHyperParameterTuningJobCommand_1 = require("./commands/CreateHyperParameterTuningJobCommand");
const CreateLabelingJobCommand_1 = require("./commands/CreateLabelingJobCommand");
const CreateModelCommand_1 = require("./commands/CreateModelCommand");
const CreateModelPackageCommand_1 = require("./commands/CreateModelPackageCommand");
const CreateNotebookInstanceCommand_1 = require("./commands/CreateNotebookInstanceCommand");
const CreateNotebookInstanceLifecycleConfigCommand_1 = require("./commands/CreateNotebookInstanceLifecycleConfigCommand");
const CreatePresignedNotebookInstanceUrlCommand_1 = require("./commands/CreatePresignedNotebookInstanceUrlCommand");
const CreateTrainingJobCommand_1 = require("./commands/CreateTrainingJobCommand");
const CreateTransformJobCommand_1 = require("./commands/CreateTransformJobCommand");
const CreateWorkteamCommand_1 = require("./commands/CreateWorkteamCommand");
const DeleteAlgorithmCommand_1 = require("./commands/DeleteAlgorithmCommand");
const DeleteCodeRepositoryCommand_1 = require("./commands/DeleteCodeRepositoryCommand");
const DeleteEndpointCommand_1 = require("./commands/DeleteEndpointCommand");
const DeleteEndpointConfigCommand_1 = require("./commands/DeleteEndpointConfigCommand");
const DeleteModelCommand_1 = require("./commands/DeleteModelCommand");
const DeleteModelPackageCommand_1 = require("./commands/DeleteModelPackageCommand");
const DeleteNotebookInstanceCommand_1 = require("./commands/DeleteNotebookInstanceCommand");
const DeleteNotebookInstanceLifecycleConfigCommand_1 = require("./commands/DeleteNotebookInstanceLifecycleConfigCommand");
const DeleteTagsCommand_1 = require("./commands/DeleteTagsCommand");
const DeleteWorkteamCommand_1 = require("./commands/DeleteWorkteamCommand");
const DescribeAlgorithmCommand_1 = require("./commands/DescribeAlgorithmCommand");
const DescribeCodeRepositoryCommand_1 = require("./commands/DescribeCodeRepositoryCommand");
const DescribeCompilationJobCommand_1 = require("./commands/DescribeCompilationJobCommand");
const DescribeEndpointCommand_1 = require("./commands/DescribeEndpointCommand");
const DescribeEndpointConfigCommand_1 = require("./commands/DescribeEndpointConfigCommand");
const DescribeHyperParameterTuningJobCommand_1 = require("./commands/DescribeHyperParameterTuningJobCommand");
const DescribeLabelingJobCommand_1 = require("./commands/DescribeLabelingJobCommand");
const DescribeModelCommand_1 = require("./commands/DescribeModelCommand");
const DescribeModelPackageCommand_1 = require("./commands/DescribeModelPackageCommand");
const DescribeNotebookInstanceCommand_1 = require("./commands/DescribeNotebookInstanceCommand");
const DescribeNotebookInstanceLifecycleConfigCommand_1 = require("./commands/DescribeNotebookInstanceLifecycleConfigCommand");
const DescribeSubscribedWorkteamCommand_1 = require("./commands/DescribeSubscribedWorkteamCommand");
const DescribeTrainingJobCommand_1 = require("./commands/DescribeTrainingJobCommand");
const DescribeTransformJobCommand_1 = require("./commands/DescribeTransformJobCommand");
const DescribeWorkteamCommand_1 = require("./commands/DescribeWorkteamCommand");
const GetSearchSuggestionsCommand_1 = require("./commands/GetSearchSuggestionsCommand");
const ListAlgorithmsCommand_1 = require("./commands/ListAlgorithmsCommand");
const ListCodeRepositoriesCommand_1 = require("./commands/ListCodeRepositoriesCommand");
const ListCompilationJobsCommand_1 = require("./commands/ListCompilationJobsCommand");
const ListEndpointConfigsCommand_1 = require("./commands/ListEndpointConfigsCommand");
const ListEndpointsCommand_1 = require("./commands/ListEndpointsCommand");
const ListHyperParameterTuningJobsCommand_1 = require("./commands/ListHyperParameterTuningJobsCommand");
const ListLabelingJobsCommand_1 = require("./commands/ListLabelingJobsCommand");
const ListLabelingJobsForWorkteamCommand_1 = require("./commands/ListLabelingJobsForWorkteamCommand");
const ListModelPackagesCommand_1 = require("./commands/ListModelPackagesCommand");
const ListModelsCommand_1 = require("./commands/ListModelsCommand");
const ListNotebookInstanceLifecycleConfigsCommand_1 = require("./commands/ListNotebookInstanceLifecycleConfigsCommand");
const ListNotebookInstancesCommand_1 = require("./commands/ListNotebookInstancesCommand");
const ListSubscribedWorkteamsCommand_1 = require("./commands/ListSubscribedWorkteamsCommand");
const ListTagsCommand_1 = require("./commands/ListTagsCommand");
const ListTrainingJobsCommand_1 = require("./commands/ListTrainingJobsCommand");
const ListTrainingJobsForHyperParameterTuningJobCommand_1 = require("./commands/ListTrainingJobsForHyperParameterTuningJobCommand");
const ListTransformJobsCommand_1 = require("./commands/ListTransformJobsCommand");
const ListWorkteamsCommand_1 = require("./commands/ListWorkteamsCommand");
const RenderUiTemplateCommand_1 = require("./commands/RenderUiTemplateCommand");
const SearchCommand_1 = require("./commands/SearchCommand");
const StartNotebookInstanceCommand_1 = require("./commands/StartNotebookInstanceCommand");
const StopCompilationJobCommand_1 = require("./commands/StopCompilationJobCommand");
const StopHyperParameterTuningJobCommand_1 = require("./commands/StopHyperParameterTuningJobCommand");
const StopLabelingJobCommand_1 = require("./commands/StopLabelingJobCommand");
const StopNotebookInstanceCommand_1 = require("./commands/StopNotebookInstanceCommand");
const StopTrainingJobCommand_1 = require("./commands/StopTrainingJobCommand");
const StopTransformJobCommand_1 = require("./commands/StopTransformJobCommand");
const UpdateCodeRepositoryCommand_1 = require("./commands/UpdateCodeRepositoryCommand");
const UpdateEndpointCommand_1 = require("./commands/UpdateEndpointCommand");
const UpdateEndpointWeightsAndCapacitiesCommand_1 = require("./commands/UpdateEndpointWeightsAndCapacitiesCommand");
const UpdateNotebookInstanceCommand_1 = require("./commands/UpdateNotebookInstanceCommand");
const UpdateNotebookInstanceLifecycleConfigCommand_1 = require("./commands/UpdateNotebookInstanceLifecycleConfigCommand");
const UpdateWorkteamCommand_1 = require("./commands/UpdateWorkteamCommand");
class SageMaker extends SageMakerClient_1.SageMakerClient {
    addTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createAlgorithm(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateAlgorithmCommand_1.CreateAlgorithmCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createCodeRepository(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateCodeRepositoryCommand_1.CreateCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createCompilationJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateCompilationJobCommand_1.CreateCompilationJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateEndpointCommand_1.CreateEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createEndpointConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateEndpointConfigCommand_1.CreateEndpointConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createHyperParameterTuningJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateHyperParameterTuningJobCommand_1.CreateHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createLabelingJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateLabelingJobCommand_1.CreateLabelingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateModelCommand_1.CreateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createModelPackage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateModelPackageCommand_1.CreateModelPackageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createNotebookInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateNotebookInstanceCommand_1.CreateNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createNotebookInstanceLifecycleConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateNotebookInstanceLifecycleConfigCommand_1.CreateNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createPresignedNotebookInstanceUrl(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreatePresignedNotebookInstanceUrlCommand_1.CreatePresignedNotebookInstanceUrlCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createTrainingJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateTrainingJobCommand_1.CreateTrainingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createTransformJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateTransformJobCommand_1.CreateTransformJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createWorkteam(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateWorkteamCommand_1.CreateWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteAlgorithm(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteAlgorithmCommand_1.DeleteAlgorithmCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteCodeRepository(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteCodeRepositoryCommand_1.DeleteCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteEndpointCommand_1.DeleteEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteEndpointConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteEndpointConfigCommand_1.DeleteEndpointConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteModelCommand_1.DeleteModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteModelPackage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteModelPackageCommand_1.DeleteModelPackageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteNotebookInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteNotebookInstanceCommand_1.DeleteNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteNotebookInstanceLifecycleConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteNotebookInstanceLifecycleConfigCommand_1.DeleteNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteTagsCommand_1.DeleteTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteWorkteam(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteWorkteamCommand_1.DeleteWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeAlgorithm(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeAlgorithmCommand_1.DescribeAlgorithmCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeCodeRepository(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeCodeRepositoryCommand_1.DescribeCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeCompilationJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeCompilationJobCommand_1.DescribeCompilationJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEndpointCommand_1.DescribeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEndpointConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEndpointConfigCommand_1.DescribeEndpointConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeHyperParameterTuningJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeHyperParameterTuningJobCommand_1.DescribeHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeLabelingJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeLabelingJobCommand_1.DescribeLabelingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeModelCommand_1.DescribeModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeModelPackage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeModelPackageCommand_1.DescribeModelPackageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeNotebookInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeNotebookInstanceCommand_1.DescribeNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeNotebookInstanceLifecycleConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeNotebookInstanceLifecycleConfigCommand_1.DescribeNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeSubscribedWorkteam(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeSubscribedWorkteamCommand_1.DescribeSubscribedWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeTrainingJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeTrainingJobCommand_1.DescribeTrainingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeTransformJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeTransformJobCommand_1.DescribeTransformJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeWorkteam(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeWorkteamCommand_1.DescribeWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getSearchSuggestions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetSearchSuggestionsCommand_1.GetSearchSuggestionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listAlgorithms(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListAlgorithmsCommand_1.ListAlgorithmsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listCodeRepositories(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListCodeRepositoriesCommand_1.ListCodeRepositoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listCompilationJobs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListCompilationJobsCommand_1.ListCompilationJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listEndpointConfigs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListEndpointConfigsCommand_1.ListEndpointConfigsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listEndpoints(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListEndpointsCommand_1.ListEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listHyperParameterTuningJobs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListHyperParameterTuningJobsCommand_1.ListHyperParameterTuningJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listLabelingJobs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListLabelingJobsCommand_1.ListLabelingJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listLabelingJobsForWorkteam(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListLabelingJobsForWorkteamCommand_1.ListLabelingJobsForWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listModelPackages(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListModelPackagesCommand_1.ListModelPackagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listModels(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListModelsCommand_1.ListModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listNotebookInstanceLifecycleConfigs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListNotebookInstanceLifecycleConfigsCommand_1.ListNotebookInstanceLifecycleConfigsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listNotebookInstances(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListNotebookInstancesCommand_1.ListNotebookInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listSubscribedWorkteams(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListSubscribedWorkteamsCommand_1.ListSubscribedWorkteamsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsCommand_1.ListTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTrainingJobs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTrainingJobsCommand_1.ListTrainingJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTrainingJobsForHyperParameterTuningJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTrainingJobsForHyperParameterTuningJobCommand_1.ListTrainingJobsForHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTransformJobs(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTransformJobsCommand_1.ListTransformJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listWorkteams(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListWorkteamsCommand_1.ListWorkteamsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    renderUiTemplate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RenderUiTemplateCommand_1.RenderUiTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    search(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SearchCommand_1.SearchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startNotebookInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartNotebookInstanceCommand_1.StartNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopCompilationJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopCompilationJobCommand_1.StopCompilationJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopHyperParameterTuningJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopHyperParameterTuningJobCommand_1.StopHyperParameterTuningJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopLabelingJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopLabelingJobCommand_1.StopLabelingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopNotebookInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopNotebookInstanceCommand_1.StopNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopTrainingJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopTrainingJobCommand_1.StopTrainingJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopTransformJob(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopTransformJobCommand_1.StopTransformJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateCodeRepository(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateCodeRepositoryCommand_1.UpdateCodeRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateEndpointCommand_1.UpdateEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateEndpointWeightsAndCapacities(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateEndpointWeightsAndCapacitiesCommand_1.UpdateEndpointWeightsAndCapacitiesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateNotebookInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateNotebookInstanceCommand_1.UpdateNotebookInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateNotebookInstanceLifecycleConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateNotebookInstanceLifecycleConfigCommand_1.UpdateNotebookInstanceLifecycleConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateWorkteam(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateWorkteamCommand_1.UpdateWorkteamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.SageMaker = SageMaker;
//# sourceMappingURL=SageMaker.js.map