"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateCodeRepository_1 = require("../model/operations/CreateCodeRepository");
class CreateCodeRepositoryCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateCodeRepository_1.CreateCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateCodeRepositoryCommand = CreateCodeRepositoryCommand;
//# sourceMappingURL=CreateCodeRepositoryCommand.js.map