"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateCompilationJob_1 = require("../model/operations/CreateCompilationJob");
class CreateCompilationJobCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateCompilationJob_1.CreateCompilationJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateCompilationJobCommand = CreateCompilationJobCommand;
//# sourceMappingURL=CreateCompilationJobCommand.js.map