"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateModelPackage_1 = require("../model/operations/CreateModelPackage");
class CreateModelPackageCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateModelPackage_1.CreateModelPackage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateModelPackageCommand = CreateModelPackageCommand;
//# sourceMappingURL=CreateModelPackageCommand.js.map