"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateTrainingJob_1 = require("../model/operations/CreateTrainingJob");
class CreateTrainingJobCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateTrainingJob_1.CreateTrainingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateTrainingJobCommand = CreateTrainingJobCommand;
//# sourceMappingURL=CreateTrainingJobCommand.js.map