"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateWorkteam_1 = require("../model/operations/CreateWorkteam");
class CreateWorkteamCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateWorkteam_1.CreateWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateWorkteamCommand = CreateWorkteamCommand;
//# sourceMappingURL=CreateWorkteamCommand.js.map