"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteEndpointConfig_1 = require("../model/operations/DeleteEndpointConfig");
class DeleteEndpointConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteEndpointConfig_1.DeleteEndpointConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteEndpointConfigCommand = DeleteEndpointConfigCommand;
//# sourceMappingURL=DeleteEndpointConfigCommand.js.map