"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeHyperParameterTuningJob_1 = require("../model/operations/DescribeHyperParameterTuningJob");
class DescribeHyperParameterTuningJobCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeHyperParameterTuningJob_1.DescribeHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeHyperParameterTuningJobCommand = DescribeHyperParameterTuningJobCommand;
//# sourceMappingURL=DescribeHyperParameterTuningJobCommand.js.map