"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeNotebookInstanceLifecycleConfig_1 = require("../model/operations/DescribeNotebookInstanceLifecycleConfig");
class DescribeNotebookInstanceLifecycleConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeNotebookInstanceLifecycleConfig_1.DescribeNotebookInstanceLifecycleConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeNotebookInstanceLifecycleConfigCommand = DescribeNotebookInstanceLifecycleConfigCommand;
//# sourceMappingURL=DescribeNotebookInstanceLifecycleConfigCommand.js.map