"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeSubscribedWorkteam_1 = require("../model/operations/DescribeSubscribedWorkteam");
class DescribeSubscribedWorkteamCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeSubscribedWorkteam_1.DescribeSubscribedWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeSubscribedWorkteamCommand = DescribeSubscribedWorkteamCommand;
//# sourceMappingURL=DescribeSubscribedWorkteamCommand.js.map