"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListEndpoints_1 = require("../model/operations/ListEndpoints");
class ListEndpointsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListEndpoints_1.ListEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListEndpointsCommand = ListEndpointsCommand;
//# sourceMappingURL=ListEndpointsCommand.js.map