"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListNotebookInstanceLifecycleConfigs_1 = require("../model/operations/ListNotebookInstanceLifecycleConfigs");
class ListNotebookInstanceLifecycleConfigsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListNotebookInstanceLifecycleConfigs_1.ListNotebookInstanceLifecycleConfigs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListNotebookInstanceLifecycleConfigsCommand = ListNotebookInstanceLifecycleConfigsCommand;
//# sourceMappingURL=ListNotebookInstanceLifecycleConfigsCommand.js.map