"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListNotebookInstances_1 = require("../model/operations/ListNotebookInstances");
class ListNotebookInstancesCommand {
    constructor(input) {
        this.input = input;
        this.model = ListNotebookInstances_1.ListNotebookInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListNotebookInstancesCommand = ListNotebookInstancesCommand;
//# sourceMappingURL=ListNotebookInstancesCommand.js.map