"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListTrainingJobs_1 = require("../model/operations/ListTrainingJobs");
class ListTrainingJobsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListTrainingJobs_1.ListTrainingJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListTrainingJobsCommand = ListTrainingJobsCommand;
//# sourceMappingURL=ListTrainingJobsCommand.js.map