"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListTransformJobs_1 = require("../model/operations/ListTransformJobs");
class ListTransformJobsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListTransformJobs_1.ListTransformJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListTransformJobsCommand = ListTransformJobsCommand;
//# sourceMappingURL=ListTransformJobsCommand.js.map