"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListWorkteams_1 = require("../model/operations/ListWorkteams");
class ListWorkteamsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListWorkteams_1.ListWorkteams;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListWorkteamsCommand = ListWorkteamsCommand;
//# sourceMappingURL=ListWorkteamsCommand.js.map