"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RenderUiTemplate_1 = require("../model/operations/RenderUiTemplate");
class RenderUiTemplateCommand {
    constructor(input) {
        this.input = input;
        this.model = RenderUiTemplate_1.RenderUiTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RenderUiTemplateCommand = RenderUiTemplateCommand;
//# sourceMappingURL=RenderUiTemplateCommand.js.map