"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StopLabelingJob_1 = require("../model/operations/StopLabelingJob");
class StopLabelingJobCommand {
    constructor(input) {
        this.input = input;
        this.model = StopLabelingJob_1.StopLabelingJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StopLabelingJobCommand = StopLabelingJobCommand;
//# sourceMappingURL=StopLabelingJobCommand.js.map