"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateCodeRepository_1 = require("../model/operations/UpdateCodeRepository");
class UpdateCodeRepositoryCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateCodeRepository_1.UpdateCodeRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateCodeRepositoryCommand = UpdateCodeRepositoryCommand;
//# sourceMappingURL=UpdateCodeRepositoryCommand.js.map