"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateWorkteam_1 = require("../model/operations/UpdateWorkteam");
class UpdateWorkteamCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateWorkteam_1.UpdateWorkteam;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateWorkteamCommand = UpdateWorkteamCommand;
//# sourceMappingURL=UpdateWorkteamCommand.js.map