"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TransformEnvironmentMap_1 = require("./_TransformEnvironmentMap");
const _TransformInput_1 = require("./_TransformInput");
const _TransformOutput_1 = require("./_TransformOutput");
const _TransformResources_1 = require("./_TransformResources");
const _DataProcessing_1 = require("./_DataProcessing");
const _TagList_1 = require("./_TagList");
exports.CreateTransformJobInput = {
    type: "structure",
    required: [
        "TransformJobName",
        "ModelName",
        "TransformInput",
        "TransformOutput",
        "TransformResources"
    ],
    members: {
        TransformJobName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ModelName: {
            shape: {
                type: "string"
            }
        },
        MaxConcurrentTransforms: {
            shape: {
                type: "integer"
            }
        },
        MaxPayloadInMB: {
            shape: {
                type: "integer"
            }
        },
        BatchStrategy: {
            shape: {
                type: "string"
            }
        },
        Environment: {
            shape: _TransformEnvironmentMap_1._TransformEnvironmentMap
        },
        TransformInput: {
            shape: _TransformInput_1._TransformInput
        },
        TransformOutput: {
            shape: _TransformOutput_1._TransformOutput
        },
        TransformResources: {
            shape: _TransformResources_1._TransformResources
        },
        DataProcessing: {
            shape: _DataProcessing_1._DataProcessing
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateTransformJobInput.js.map